Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.entitlements.common
Class EntitlementConstants

    java.lang.Object
      |
      +--com.bea.p13n.entitlements.common.EntitlementConstants

public class EntitlementConstants
extends Object

Field Summary
`static int` | `APPLICATION_INHERITANCE` Id used to construct a P13nResource that will look for policies visible/editable in WLS console at an application scope
`static int` | `CREATE_FAIL` Unsuccessful policy action
`static String` | `CUSTOM_PREDICATE_CLASS` System scoped class for expression predicate evaluation
`static int` | `ENT_APP_ROLE_INHERITANCE` Used to construct a P13nResource that will look for role policies at enterprise application and global scope.
`static String` | `EXECUTE_CAPABILITY` Security policy capability
`static int` | `EXPRESSION_CACHE_INIT_SIZE` Initial size of entitlement expression cache.
`static int` | `GLOBAL_ROLE_INHERITANCE` Id used to construct a P13nResource that will look for policies visible/editable in WLS console at a global scope
`static int` | `HIERARCHICAL_ROLE_INHERITANCE` Used to construct a P13nResource that will look for role policies at leaf node, application taxonomy, web application, enterprise application and global scope
`static int` | `LEAF_NODE_ROLE_INHERITANCE` Used to construct a P13nResource that will look for role policies at resource leaf node and global scope, only.
`static int` | `NOT_ATTEMPTED` Policy action not attempted - need further initialization
`static int` | `P13N_ADMIN_POLICY` Policy used to manage admin entitlements
`static String` | `P13N_ADMIN_POLICY_POOL_REF` Namespace for pool refs of P13n Admin Role Policy references
`static String` | `P13N_ADMIN_ROLE_POLICY_POOL` Namespace for pool of P13n Admin Role Policies
`static String` | `P13N_ADMIN_ROLE_SEGMENT_POOL` Namespace for pool of P13n Admin Role Segments
`static String` | `P13N_POLICY_NAMESPACE` Namespace for P13n Role and Security Policies
`static String` | `P13N_ROLE_POLICY_POOL` Namespace for pool of P13n Visitor Role Policies
`static String` | `P13N_ROLE_SEGMENT_POOL` Namespace for pool of P13n Visitor Role Segments
`static int` | `P13N_VISITOR_POLICY` Policy used to manage visitor entitlements
`static String` | `P13N_VISITOR_POLICY_POOL_REF` Namespace for pool refs of P13n Visitor Role Policy references
`static int` | `POLICY_EXISTS` Unsuccessful policy action
`static int` | `POLICY_LIBRARY_INHERITANCE` Used to construct a P13nResource that will be used to locate role or security policies at either a resource leaf node and/or within a general library taxonomy.
`static int` | `POLICY_NOT_FOUND` Unsuccessful policy action
`static String` | `PREDICATE_ENT_REQUEST` Key for location of entitlement request within entitlement Context object
`static String` | `PREDICATE_EVAL_CLASS` Application scoped class for expression predicate evaluation
`static int` | `REMOVE_FAIL` Unsuccessful policy action
`static String` | `RESOURCE_ID_DELIMITER` Used to construct a P13nResource that will look for role policies at global scope, only
`static int` | `SECURITY_POLICY_INHERITANCE` Used to construct a P13nResource that will be used to locate security policies only (not role policies).
`static int` | `SUCCESS` Successful policy action
`static int` | `WEBAPP_ROLE_INHERITANCE` Used to construct a P13nResource that will look for role policies at web application, enterprise application and global scope

Constructor Summary
`EntitlementConstants()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GLOBAL_ROLE_INHERITANCE

    public static final int GLOBAL_ROLE_INHERITANCE

  Id used to construct a P13nResource that will look for policies visible/editable in WLS console at a global scope

  See Also:
    Constant Field Values

### APPLICATION_INHERITANCE

    public static final int APPLICATION_INHERITANCE

  Id used to construct a P13nResource that will look for policies visible/editable in WLS console at an application scope

  See Also:
    Constant Field Values

### ENT_APP_ROLE_INHERITANCE

    public static final int ENT_APP_ROLE_INHERITANCE

  Used to construct a P13nResource that will look for role policies at enterprise application and global scope.

  See Also:
    Constant Field Values

### WEBAPP_ROLE_INHERITANCE

    public static final int WEBAPP_ROLE_INHERITANCE

  Used to construct a P13nResource that will look for role policies at web application, enterprise application and global scope

  See Also:
    Constant Field Values

### LEAF_NODE_ROLE_INHERITANCE

    public static final int LEAF_NODE_ROLE_INHERITANCE

  Used to construct a P13nResource that will look for role policies at resource leaf node and global scope, only.

  See Also:
    Constant Field Values

### HIERARCHICAL_ROLE_INHERITANCE

    public static final int HIERARCHICAL_ROLE_INHERITANCE

  Used to construct a P13nResource that will look for role policies at leaf node, application taxonomy, web application, enterprise application and global scope

  See Also:
    Constant Field Values

### SECURITY_POLICY_INHERITANCE

    public static final int SECURITY_POLICY_INHERITANCE

  Used to construct a P13nResource that will be used to locate security policies only (not role policies). This type of P13nResource is used for runtime checks.

  See Also:
    Constant Field Values

### POLICY_LIBRARY_INHERITANCE

    public static final int POLICY_LIBRARY_INHERITANCE

  Used to construct a P13nResource that will be used to locate role or security policies at either a resource leaf node and/or within a general library taxonomy. This type of P13nResource is used for runtime checks.

  See Also:
    Constant Field Values

### SUCCESS

    public static final int SUCCESS

  Successful policy action

  See Also:
    Constant Field Values

### POLICY_EXISTS

    public static final int POLICY_EXISTS

  Unsuccessful policy action

  See Also:
    Constant Field Values

### CREATE_FAIL

    public static final int CREATE_FAIL

  Unsuccessful policy action

  See Also:
    Constant Field Values

### POLICY_NOT_FOUND

    public static final int POLICY_NOT_FOUND

  Unsuccessful policy action

  See Also:
    Constant Field Values

### REMOVE_FAIL

    public static final int REMOVE_FAIL

  Unsuccessful policy action

  See Also:
    Constant Field Values

### NOT_ATTEMPTED

    public static final int NOT_ATTEMPTED

  Policy action not attempted - need further initialization

  See Also:
    Constant Field Values

### PREDICATE_ENT_REQUEST

    public static final String PREDICATE_ENT_REQUEST

  Key for location of entitlement request within entitlement Context object

  See Also:
    Constant Field Values

### PREDICATE_EVAL_CLASS

    public static final String PREDICATE_EVAL_CLASS

  Application scoped class for expression predicate evaluation

  See Also:
    Constant Field Values

### CUSTOM_PREDICATE_CLASS

    public static final String CUSTOM_PREDICATE_CLASS

  System scoped class for expression predicate evaluation

  See Also:
    Constant Field Values

### RESOURCE_ID_DELIMITER

    public static final String RESOURCE_ID_DELIMITER

  Used to construct a P13nResource that will look for role policies at global scope, only

  See Also:
    Constant Field Values

### P13N_POLICY_NAMESPACE

    public static final String P13N_POLICY_NAMESPACE

  Namespace for P13n Role and Security Policies

  See Also:
    Constant Field Values

### P13N_ROLE_POLICY_POOL

    public static final String P13N_ROLE_POLICY_POOL

  Namespace for pool of P13n Visitor Role Policies

  See Also:
    Constant Field Values

### P13N_ROLE_SEGMENT_POOL

    public static final String P13N_ROLE_SEGMENT_POOL

  Namespace for pool of P13n Visitor Role Segments

  See Also:
    Constant Field Values

### P13N_VISITOR_POLICY_POOL_REF

    public static final String P13N_VISITOR_POLICY_POOL_REF

  Namespace for pool refs of P13n Visitor Role Policy references

  See Also:
    Constant Field Values

### P13N_ADMIN_ROLE_POLICY_POOL

    public static final String P13N_ADMIN_ROLE_POLICY_POOL

  Namespace for pool of P13n Admin Role Policies

  See Also:
    Constant Field Values

### P13N_ADMIN_ROLE_SEGMENT_POOL

    public static final String P13N_ADMIN_ROLE_SEGMENT_POOL

  Namespace for pool of P13n Admin Role Segments

  See Also:
    Constant Field Values

### P13N_ADMIN_POLICY_POOL_REF

    public static final String P13N_ADMIN_POLICY_POOL_REF

  Namespace for pool refs of P13n Admin Role Policy references

  See Also:
    Constant Field Values

### P13N_VISITOR_POLICY

    public static final int P13N_VISITOR_POLICY

  Policy used to manage visitor entitlements

  See Also:
    Constant Field Values

### P13N_ADMIN_POLICY

    public static final int P13N_ADMIN_POLICY

  Policy used to manage admin entitlements

  See Also:
    Constant Field Values

### EXECUTE_CAPABILITY

    public static final String EXECUTE_CAPABILITY

  Security policy capability

  See Also:
    Constant Field Values

### EXPRESSION_CACHE_INIT_SIZE

    public static final int EXPRESSION_CACHE_INIT_SIZE

  Initial size of entitlement expression cache. This value should allow for what the average number of custom predicate based role policies per enterprise application is expected to be.

  See Also:
    Constant Field Values

Constructor Detail

### EntitlementConstants

    public EntitlementConstants()

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved